# $Revision: 1.9.2.2 $, $Date: 2003/04/28 12:51:54 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	NamespaceSupport
Summary:	XML::NamespaceSupport perl module
Summary(pl):	Modu perla XML::NamespaceSupport
Name:		perl-%{pdir}-%{pnam}
Version:	1.08
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module offers a simple to process namespaced XML names
(unames) from within any application that may need them. It also helps
maintain a prefix to namespace URI map, and provides a number of basic
checks.

%description -l pl
Ten modu Perla oferuje proste do przetworzenia, uwzgldniajce
przestrzenie nazw, nazwy XML, dostpne z kadej aplikacji, ktra ich
potrzebuje. Pomaga take prowadzi mapowanie prefiksw na przestrzenie
nazw i udostpnia wiele moliwoci podstawowej kontroli poprawnoci.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/XML/NamespaceSupport.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-NamespaceSupport.spec,v $
Revision 1.9.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.9.2.1  2003/03/13 00:59:25  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.9  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:39:14  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/09/22 15:51:20  kloczek
- (auto)updated to 1.08: "fix" it to follow the latest XML NS Errata barfing around/

Revision 1.6  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.5  2002/07/11 08:06:38  depesz
- new version; should work; STBR

Revision 1.4  2002/07/10 09:02:55  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/04/15 10:23:30  qboosh
- pl descriptions

Revision 1.1  2002/04/14 14:01:25  grabba
- first release
